<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

if (isset($cvs_id) && !isNum($cvs_id)) fallback(FUSION_SELF);
if (!isset($folder) || !isNum($folder)) $folder = "0";
if (!isset($step)) $step = "";
$i = 0;

if (file_exists(INFUSIONS."cvs/locale/".$settings['locale'].".php")) {
	include INFUSIONS."cvs/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."cvs/locale/English.php";
}

if ($step == "delete") {
	$sql = dbquery("DELETE FROM {$db_prefix}cvs WHERE cvs_id='$cvs_id'");
	redirect(FUSION_SELF."?folder=$folder");
}

if (isset($_POST['save_file'])) {
	$cvs_filename = stripinput($_POST['cvs_filename']);
	$cvs_author = stripinput($_POST['cvs_author']);
	$cvs_version = stripinput($_POST['cvs_version']);
	$cvs_filesize = isNum($_POST['cvs_filesize']) ? $_POST['cvs_filesize'] : "0";
	$cvs_lines = isNum($_POST['cvs_lines']) ? $_POST['cvs_lines'] : "0";
	$cvs_type = $_POST['cvs_type'] == "file" ? "file" : "folder";
	$cvs_lastupdate = stripinput($_POST['cvs_lastupdate']);
	$cvs_folder = $folder;
	if ($cvs_filename && $cvs_version) {
		if ($step == "edit") {
			$sql = dbquery("UPDATE {$db_prefix}cvs SET cvs_filename='$cvs_filename', cvs_author='$cvs_author', cvs_version='$cvs_version', cvs_filesize='$cvs_filesize', cvs_lines='$cvs_lines', cvs_type='$cvs_type', cvs_lastupdate='$cvs_lastupdate', cvs_folder='$cvs_folder' WHERE cvs_id='$cvs_id'");
		} else {
			$sql = dbquery("INSERT INTO {$db_prefix}cvs (cvs_filename, cvs_author, cvs_version, cvs_filesize, cvs_lines, cvs_type, cvs_lastupdate, cvs_folder, cvs_datestamp, cvs_phpcode) VALUES ('$cvs_filename', '$cvs_author', '$cvs_version', '$cvs_filesize', '$cvs_lines', '$cvs_type', '$cvs_lastupdate', '$cvs_folder', '".time()."', '')");
		}
	}
	redirect(FUSION_SELF."?folder=$folder");
}
if ($step == "edit") {
	$sql = dbquery("SELECT * FROM {$db_prefix}cvs WHERE cvs_id='$cvs_id'");
	$data = dbarray($sql);
	$cvs_filename = $data['cvs_filename'];
	$cvs_author = $data['cvs_author'];
	$cvs_filesize = $data['cvs_filesize'];
	$cvs_lines = $data['cvs_lines'];
	$cvs_version = $data['cvs_version'];
	$cvs_type = $data['cvs_type'];
	$cvs_lastupdate = $data['cvs_lastupdate'];
	$formaction = FUSION_SELF."?step=edit&amp;folder=$folder&amp;cvs_id=$cvs_id";
	opentable($locale['cvs111']);
} else {
	$cvs_filename = "";
	$cvs_author = "Digitanium";
	$cvs_version = "1.00";
	$cvs_filesize = "";
	$cvs_lines = "";
	$cvs_type = "file";
	$cvs_lastupdate = "";
	$formaction = FUSION_SELF."?folder=$folder";
	opentable($locale['cvs110']);
}
$user_list = "";
$sql = dbquery("SELECT user_name FROM {$db_prefix}users ORDER BY user_level DESC, user_name");
while ($data = dbarray($sql)) {
	$sel = $cvs_author == $data['user_name'] ? " selected" : "";
	$user_list .= "<option".$sel.">".$data['user_name']."</option>\n";
}

echo "<form name='inputform' method='post' action='$formaction'>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td class='tbl'>".$locale['cvs112']."</td>
<td class='tbl'><input type='text' name='cvs_filename' value='$cvs_filename' class='textbox' style='width:300px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['cvs113']."</td>
<td class='tbl'><select name='cvs_author' class='textbox'>
$user_list</select></td>
</tr>
<tr>
<td class='tbl'>".$locale['cvs114']."</td>
<td class='tbl'><input type='text' name='cvs_version' value='$cvs_version' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['cvs115']."</td>
<td class='tbl'><input type='text' name='cvs_filesize' value='$cvs_filesize' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['cvs116']."</td>
<td class='tbl'><input type='text' name='cvs_lines' value='$cvs_lines' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['cvs117']."</td>
<td class='tbl'><input type='radio' name='cvs_type' value='file'".($cvs_type == "file" ? " checked" : "").">".$locale['cvs118']."
<input type='radio' name='cvs_type' value='folder'".($cvs_type == "folder" ? " checked" : "").">".$locale['cvs119']."</td>
</tr>
<tr>
<td class='tbl'>".$locale['cvs120']."</td>
<td class='tbl'><input type='text' name='cvs_lastupdate' value='$cvs_lastupdate' class='textbox' style='width:300px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'><input type='submit' name='save_file' value='".$locale['cvs121']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();

tablebreak();
opentable($locale['cvs130']);
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
<tr>
<td width='200' class='tbl2'><span class='small'><b>".$locale['cvs131']."</b> ".$locale['cvs129']."</span></td>
<td width='1%' class='tbl2' style='white-space:nowrap'><span class='small'><b>".$locale['cvs132']."</b></span></td>
<td width='1%' class='tbl2' style='white-space:nowrap'><span class='small'><b>".$locale['cvs133']."</b></span></td>
<td width='1%' class='tbl2' style='white-space:nowrap'><span class='small'><b>".$locale['cvs134']."</b></span></td>
<td width='1%' class='tbl2' style='white-space:nowrap'><span class='small'><b>".$locale['cvs135']."</b></span></td>
<td width='1%' class='tbl2' style='white-space:nowrap'><span class='small'><b>".$locale['cvs136']."</b></span></td>
<td class='tbl2'><span class='small'><b>".$locale['cvs137']."</b></span></td>
<td width='1%' class='tbl2' style='white-space:nowrap'> </td>
</tr>\n";
if (isset($folder) && $folder > 0) {
	echo "<tr>\n<td colspan='9' class='tbl1'><span class='small'>";
	$data2 = dbarray(dbquery("SELECT cvs_id,cvs_folder FROM {$db_prefix}cvs WHERE cvs_id='$folder'"));
	echo "<img src='".INFUSIONS."cvs/images/back.gif' alt='folder' style='vertical-align:middle;border:0px;'> ";
	echo "<a href='".FUSION_SELF."?folder=".$data2['cvs_folder']."'>".$locale['cvs138']."</a></span></td>\n</tr>\n";
	$i++;
}
$sql = dbquery("SELECT cvs_id,cvs_filename,cvs_author,cvs_version,cvs_filesize,cvs_lines,cvs_type,cvs_lastupdate,cvs_folder,cvs_datestamp FROM {$db_prefix}cvs WHERE cvs_folder='$folder' ORDER BY cvs_type DESC, cvs_filename");
if (dbrows($sql)) {
	while ($data = dbarray($sql)) {
		if ($data['cvs_type'] != "folder") {
			$agegap = (time() - $data['cvs_datestamp']);
			if ($agegap > 0 && $agegap < 60) {
				$age = $agegap;
				$file_age = $locale['cvs180'];
			} elseif ($agegap >= 60 && $agegap < 3600) {
				$age = floor($agegap/60);
				$file_age = $age." ".($age == 1 ? $locale['cvs181'] : $locale['cvs182']);
			} elseif ($agegap >= 3600 && $agegap < 86400) {
				$age = floor($agegap/3600);
				$file_age = $age." ".($age == 1 ? $locale['cvs183'] : $locale['cvs184']);
			} elseif ($agegap >= 86400 && $agegap < 604800) {
				$age = floor($agegap/86400);
				$file_age = $age." ".($age == 1 ? $locale['cvs185'] : $locale['cvs186']);
			} elseif ($agegap >= 604800 && $agegap < 2419200) {
				$age = floor($agegap/604800);
				$file_age = $age." ".($age == 1 ? $locale['cvs187'] : $locale['cvs188']);
			} elseif ($agegap >= 2419200 && $agegap < 31449600) {
				$age = floor($agegap/2419200);
				$file_age = $age." ".($age == 1 ? $locale['cvs189'] : $locale['cvs190']);
			} elseif ($agegap >= 31449600) {
				$age = floor($agegap/31449600);
				$file_age = $age." ".($age == 1 ? $locale['cvs191'] : $locale['cvs192']);
			}
		}
		$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
		echo "<tr>\n<td width='200' class='$row_color'>";
		if ($data['cvs_type'] == "folder") {
			echo "<img src='".INFUSIONS."cvs/images/folder.gif' alt='".$locale['cvs201']."' style='vertical-align:middle;border:0px;'> ";
			echo "<a href='".FUSION_SELF."?folder=".$data['cvs_id']."'>".$data['cvs_filename']."</a>";
		} else {
			echo "<img src='".INFUSIONS."cvs/images/file.gif' alt='".$locale['cvs202']."' style='vertical-align:middle;border:0px;'> ";
			echo "<a href='".INFUSIONS."cvs/edit_file.php?file_id=".$data['cvs_id']."'>".$data['cvs_filename']."</a>";
		}
		echo "</span></td>\n<td width='1%' class='$row_color' style='white-space:nowrap'><span class='small'>".($data['cvs_type'] != "folder" ? $data['cvs_version'] : "")."</span></td>\n";
		echo "<td width='1%' class='$row_color' style='white-space:nowrap'><span class='small'>".($data['cvs_type'] != "folder" ? $file_age : "")."</span></td>\n";
		echo "<td width='1%' class='$row_color' style='white-space:nowrap'><span class='small'>".($data['cvs_type'] != "folder" ? $data['cvs_author'] : "")."</span></td>\n";
		echo "<td width='1%' class='$row_color' style='white-space:nowrap'><span class='small'>".($data['cvs_type'] != "folder" ? parsebytesize($data['cvs_filesize']) : "")."</span></td>\n";
		echo "<td width='1%' class='$row_color' style='white-space:nowrap'><span class='small'>".($data['cvs_type'] != "folder" ? $data['cvs_lines'] : "")."</span></td>\n";
		echo "<td class='$row_color'><span class='small'>".$data['cvs_lastupdate']."</span></td>\n";
		echo "<td width='1%' class='$row_color' style='white-space:nowrap'><span class='small'><a href='".FUSION_SELF."?step=edit&amp;folder=$folder&amp;cvs_id=".$data['cvs_id']."'>".$locale['cvs172']."</a> -\n";
		echo "<a href='".FUSION_SELF."?step=delete&amp;folder=$folder&amp;cvs_id=".$data['cvs_id']."'>".$locale['cvs173']."</a></span></td>\n";
		echo "</tr>\n";
		$i++;
	}
	echo "</table>\n";
} else {
	$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
	echo "<tr>\n<td align='center' colspan='9' class='$row_color'>".$locale['cvs139']."</td>\n</tr>\n</table>\n";
}
closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>