<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (!isset($file_id) || !isNum($file_id)) fallback(INFUSIONS."cvs/cvs.php");

if (file_exists(INFUSIONS."cvs/locale/".$settings['locale'].".php")) {
	include INFUSIONS."cvs/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."cvs/locale/English.php";
}

$sql = dbquery("SELECT * FROM {$db_prefix}cvs WHERE cvs_id='$file_id'");
if (dbrows($sql)) {
	$data = dbarray($sql);
	opentable("View File"." - ".$data['cvs_filename']);
	include_once(INFUSIONS."cvs/geshi.php");
	$cvs_ext = strrchr($data['cvs_filename'],".");
	if ($cvs_ext == ".css") { $language = "css"; }
	elseif ($cvs_ext == ".js") { $language = "javascript"; }
	elseif ($cvs_ext == ".php") { $language = "php"; }
	$geshi = new GeSHi(stripslashes($data['cvs_phpcode']), $language); 
	$geshi->enable_line_numbers(GESHI_NORMAL_LINE_NUMBERS);
	echo "<center><div class='quote' style='text-align:left;margin:0px;height:500px;width:expression(document.body.clientWidth-450);white-space:nowrap;overflow:auto'>\n";
	echo "<code style='white-space:nowrap'>".$geshi->parse_code()."</code></div></center>";
	closetable();
} else {
	fallback(INFUSIONS."cvs/cvs.php");
}
tablebreak();
opentable($locale['cvs170']);
$sql = dbquery("SELECT tfu.*,user_name FROM {$db_prefix}cvs_updates tfu LEFT JOIN {$db_prefix}users tu ON tfu.update_user=tu.user_id WHERE file_id='$file_id' ORDER BY update_datestamp DESC");
if (dbrows($sql)) {
	$i = 1;
	while ($data = dbarray($sql)) {
		echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
<tr>
<td class='tbl2'><b>".$data['update_version'].$locale['cvs171'].$data['user_name']."</b></td>
<td align='right' class='tbl2'><a href='".FUSION_SELF."?updatestep=edit&amp;update_id=".$data['update_id']."&amp;file_id=$file_id'>".$locale['cvs172']."</a></td>
</tr>
<tr>
<td valign='top' width='175' class='tbl1'>".showdate("longdate", $data['update_datestamp'])."<br>
".$locale['cvs153']." ".$data['update_lines_added']."<br>
".$locale['cvs154']." ".$data['update_lines_removed']."<br>
".$locale['cvs155']." ".$data['update_lines_altered']."</td>
<td valign='top' class='tbl1'>".parsecode(nl2br($data['update_phpcode']))."</td>
</tr>
</table>\n";
		if ($i != dbrows($sql)) tablebreak();
		$i++;
	}
} else {
	echo "<div style='text-align:center'><br>\n".$locale['cvs174']."<br><br>\n</div>\n";
}
closetable();

function parsecode($text) {
	$text = preg_replace('#\[b\](.*?)\[/b\]#si', '<b>\1</b>', $text);
	$text = preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $text);
	$text = preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $text);
	$ccount = substr_count($text, "[code]");
	for ($i=0;$i < $ccount;$i++) $text = preg_replace("#\[code\](.*?)\[/code\]#sie", "'<div class=\'quote\' style=\'margin:0px;width:expression(document.body.clientWidth-640);white-space:nowrap;overflow:auto\'><code style=\'white-space:nowrap\'><pre>'.str_replace('<br />','','\\1').'</pre></code></div>'", $text);
	return $text;
}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>