<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (!isset($folder) || !isNum($folder)) $folder = "0";
if (isset($download) && !isNum($download)) fallback(FUSION_SELF);

if (isset($download)) {
	require_once INCLUDES."class.httpdownload.php";
	$result = dbquery("SELECT * FROM {$db_prefix}cvs WHERE cvs_id='$download'");
	$data = dbarray($result);
	ob_end_clean();
	$object = new httpdownload;
	$object->set_bydata(stripslashes($data['cvs_phpcode']));
	$object->use_resume = true;
	$object->set_filename($data['cvs_filename']);
	$object->set_mime("text/plain");
	$object->download();
	exit;
}

$i = 0;

if (file_exists(INFUSIONS."cvs/locale/".$settings['locale'].".php")) {
	include INFUSIONS."cvs/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."cvs/locale/English.php";
}
	
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
<tr>
<td align='center' class='tbl2'><span class='small'>".$locale['cvs105']."</span></td>
</tr>
</table>\n";
tablebreak();
opentable($locale['cvs130']);
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
<tr>
<td width='25' class='tbl2'></td>
<td width='200' class='tbl2'><span class='small'><b>".$locale['cvs131']."</b></span></td>
<td width='1%' class='tbl2' style='white-space:nowrap'><span class='small'><b>".$locale['cvs132']."</b></span></td>
<td width='1%' class='tbl2' style='white-space:nowrap'><span class='small'><b>".$locale['cvs133']."</b></span></td>
<td width='1%' class='tbl2' style='white-space:nowrap'><span class='small'><b>".$locale['cvs134']."</b></span></td>
<td width='1%' class='tbl2' style='white-space:nowrap'><span class='small'><b>".$locale['cvs135']."</b></span></td>
<td width='1%' class='tbl2' style='white-space:nowrap'><span class='small'><b>".$locale['cvs136']."</b></span></td>
<td class='tbl2'><span class='small'><b>".$locale['cvs137']."</b></span></td>
</tr>\n";
if (isset($folder) && $folder > 0) {
	echo "<tr>\n<td class='tbl2'></td>\n<td colspan='7' class='tbl1'><span class='small'>";
	$data2 = dbarray(dbquery("SELECT cvs_id,cvs_folder FROM {$db_prefix}cvs WHERE cvs_id='$folder'"));
	echo "<img src='".INFUSIONS."cvs/images/back.gif' alt='folder' style='vertical-align:middle;border:0px;'> ";
	echo "<a href='".FUSION_SELF."?folder=".$data2['cvs_folder']."'>".$locale['cvs138']."</a></span></td>\n</tr>\n";
	$i++;
}
$sql = dbquery("SELECT cvs_id,cvs_filename,cvs_author,cvs_version,cvs_filesize,cvs_lines,cvs_type,cvs_lastupdate,cvs_folder,cvs_datestamp FROM {$db_prefix}cvs WHERE cvs_folder='$folder' ORDER BY cvs_type DESC, cvs_filename");
if (dbrows($sql)) {
	while ($data = dbarray($sql)) {
		if ($data['cvs_type'] != "folder") {
			$agegap = (time() - $data['cvs_datestamp']);
			if ($agegap > 0 && $agegap < 60) {
				$age = $agegap;
				$file_age = $locale['cvs180'];
			} elseif ($agegap >= 60 && $agegap < 3600) {
				$age = floor($agegap/60);
				$file_age = $age." ".($age == 1 ? $locale['cvs181'] : $locale['cvs182']);
			} elseif ($agegap >= 3600 && $agegap < 86400) {
				$age = floor($agegap/3600);
				$file_age = $age." ".($age == 1 ? $locale['cvs183'] : $locale['cvs184']);
			} elseif ($agegap >= 86400 && $agegap < 604800) {
				$age = floor($agegap/86400);
				$file_age = $age." ".($age == 1 ? $locale['cvs185'] : $locale['cvs186']);
			} elseif ($agegap >= 604800 && $agegap < 2419200) {
				$age = floor($agegap/604800);
				$file_age = $age." ".($age == 1 ? $locale['cvs187'] : $locale['cvs188']);
			} elseif ($agegap >= 2419200 && $agegap < 31449600) {
				$age = floor($agegap/2419200);
				$file_age = $age." ".($age == 1 ? $locale['cvs189'] : $locale['cvs190']);
			} elseif ($agegap >= 31449600) {
				$age = floor($agegap/31449600);
				$file_age = $age." ".($age == 1 ? $locale['cvs191'] : $locale['cvs192']);
			}
		}
		$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
		if ($data['cvs_type'] != "folder") {
			$dl_image = "<a href='".FUSION_SELF."?download=".$data['cvs_id']."'><img src='".INFUSIONS."cvs/images/disk.gif' alt='".$locale['cvs200']."' style='vertical-align:middle;border:0px;'></a>";
		} else {
			$dl_image = "";
		}
		echo "<tr>\n<td align='center' width='25' class='tbl2'>$dl_image</td>\n";

		echo "<td width='200' class='$row_color'><span class='small'>";
		if ($data['cvs_type'] == "folder") {
			echo "<img src='".INFUSIONS."cvs/images/folder.gif' alt='".$locale['cvs201']."' style='vertical-align:middle;border:0px;'> ";
			echo "<a href='".FUSION_SELF."?folder=".$data['cvs_id']."'>".$data['cvs_filename']."</a>";
		} else {
			echo "<img src='".INFUSIONS."cvs/images/file.gif' alt='".$locale['cvs202']."' style='vertical-align:middle;border:0px;'> ";
			echo "<a href='".INFUSIONS."cvs/view_file.php?file_id=".$data['cvs_id']."'>".$data['cvs_filename']."</a>";
		}
		echo "</span></td>\n<td width='1%' class='$row_color' style='white-space:nowrap'><span class='small'>".($data['cvs_type'] != "folder" ? $data['cvs_version'] : "")."</span></td>\n";
		echo "<td width='1%' class='$row_color' style='white-space:nowrap'><span class='small'>".($data['cvs_type'] != "folder" ? $file_age : "")."</span></td>\n";
		echo "<td width='1%' class='$row_color' style='white-space:nowrap'><span class='small'>".($data['cvs_type'] != "folder" ? $data['cvs_author'] : "")."</span></td>\n";
		echo "<td width='1%' class='$row_color' style='white-space:nowrap'><span class='small'>".($data['cvs_type'] != "folder" ? parsebytesize($data['cvs_filesize']) : "")."</span></td>\n";
		echo "<td width='1%' class='$row_color' style='white-space:nowrap'><span class='small'>".($data['cvs_type'] != "folder" ? $data['cvs_lines'] : "")."</span></td>\n";
		echo "<td class='$row_color'><span class='small'>".$data['cvs_lastupdate']."</span></td>\n";
		echo "</tr>\n";
		$i++;
	}
	echo "</table>\n";
} else {
	$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
	echo "<tr>\n<td align='center' colspan='7' class='$row_color'>".$locale['cvs139']."</td>\n</tr>\n</table>\n";
}
closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>