<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

if (isset($file_id) && !isNum($file_id)) fallback(FUSION_SELF);
if (isset($update_id) && !isNum($update_id)) fallback(FUSION_SELF);
if (!isset($folder) || !isNum($folder)) $folder = "0";
if (!isset($step)) $step = "";
if (!isset($updatestep)) $updatestep = "";

if (file_exists(INFUSIONS."cvs/locale/".$settings['locale'].".php")) {
	include INFUSIONS."cvs/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."cvs/locale/English.php";
}

if ($updatestep == "delete") {
	$sql = dbquery("DELETE FROM {$db_prefix}cvs_updates WHERE update_id='$update_id'");
	redirect(FUSION_SELF."?file_id=$file_id");
}

if (isset($_POST['save_file'])) {
	$cvs_phpcode = addslash($_POST['cvs_phpcode']);
	$sql = dbquery("UPDATE {$db_prefix}cvs SET cvs_phpcode='$cvs_phpcode' WHERE cvs_id='$file_id'");
	redirect(FUSION_SELF."?file_id=$file_id");
}

if (isset($_POST['save_update'])) {
	$update_phpcode = stripinput($_POST['update_phpcode']);
	$update_version = stripinput($_POST['update_version']);
	$update_lines_added = isNum($_POST['update_lines_added']) ? $_POST['update_lines_added'] : "0";
	$update_lines_removed = isNum($_POST['update_lines_removed']) ? $_POST['update_lines_removed'] : "0";
	$update_lines_altered = isNum($_POST['update_lines_altered']) ? $_POST['update_lines_altered'] : "0";
	if ($update_phpcode && $update_version) {
		if ($updatestep == "edit") {
			$sql = dbquery("UPDATE {$db_prefix}cvs_updates SET update_phpcode='$update_phpcode', update_version='$update_version', update_lines_added='$update_lines_added', update_lines_removed='$update_lines_removed', update_lines_altered='$update_lines_altered' WHERE update_id='$update_id'");
		} else {
			$sql = dbquery("INSERT INTO {$db_prefix}cvs_updates (file_id, update_phpcode, update_version, update_lines_added, update_lines_removed, update_lines_altered, update_datestamp, update_user) VALUES ('$file_id', '$update_phpcode', '$update_version', '$update_lines_added', '$update_lines_removed', '$update_lines_altered', '".time()."', '".$userdata['user_id']."')");
			$sql = dbquery("UPDATE {$db_prefix}cvs SET cvs_datestamp='".time()."' WHERE cvs_id='$file_id'");
		}
	}
	redirect(FUSION_SELF."?file_id=$file_id");
}
$sql = dbquery("SELECT * FROM {$db_prefix}cvs WHERE cvs_id='$file_id'");
$data = dbarray($sql);
$cvs_phpcode = phpentities(stripslashes($data['cvs_phpcode']));
$formaction = FUSION_SELF."?file_id=$file_id";
opentable($locale['cvs111']);
echo "<form name='fileform' method='post' action='$formaction'>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td align='center' class='tbl1'>[ <a href='".INFUSIONS."cvs/cvs_admin.php'>".$locale['cvs140']."</a> ]</td>
</tr>
<tr>
<td align='center' class='tbl1'><textarea name='cvs_phpcode' cols='100' rows='20' class='textbox'>$cvs_phpcode</textarea></td>
</tr>
<tr>
<td align='center' class='tbl'><input type='submit' name='save_file' value='".$locale['cvs121']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();
tablebreak();
if ($updatestep == "edit") {
	$sql = dbquery("SELECT * FROM {$db_prefix}cvs_updates WHERE update_id='$update_id'");
	$data = dbarray($sql);
	$update_phpcode = $data['update_phpcode'];
	$update_version = $data['update_version'];
	$update_lines_added = $data['update_lines_added'];
	$update_lines_removed = $data['update_lines_removed'];
	$update_lines_altered = $data['update_lines_altered'];
	$updateformaction = FUSION_SELF."?updatestep=edit&amp;update_id=$update_id&amp;file_id=$file_id";
	opentable($locale['cvs151']);
} else {
	$update_phpcode = "";
	$update_version = "";
	$update_lines_added = "";
	$update_lines_removed = "";
	$update_lines_altered = "";
	$updateformaction = FUSION_SELF."?file_id=$file_id";
	opentable($locale['cvs150']);
}
echo "<form name='inputform' method='post' action='$updateformaction'>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td align='center' colspan='4' class='tbl'><textarea name='update_phpcode' cols='100' rows='10' class='textbox'>$update_phpcode</textarea></td>
</tr>
<tr>
<td align='center' colspan='4' class='tbl'>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('update_phpcode', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('update_phpcode', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('update_phpcode', '[u]', '[/u]');\">
<input type='button' value='code' class='button' style='width:40px;' onClick=\"addText('update_phpcode', '[code]', '[/code]');\">
</td>
<tr>
<td class='tbl'>".$locale['cvs152']."
<input type='text' name='update_version' value='$update_version' class='textbox' style='width:50px;'></td>
<td class='tbl'>".$locale['cvs153']."
<input type='text' name='update_lines_added' value='$update_lines_added' class='textbox' style='width:50px;'></td>
<td class='tbl'>".$locale['cvs154']."
<input type='text' name='update_lines_removed' value='$update_lines_removed' class='textbox' style='width:50px;'></td>
<td class='tbl'>".$locale['cvs155']."
<input type='text' name='update_lines_altered' value='$update_lines_altered' class='textbox' style='width:50px;'></td>
</tr>
<tr>
<td align='center' colspan='4' class='tbl'><input type='submit' name='save_update' value='".$locale['cvs156']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();

opentable($locale['cvs170']);
$sql = dbquery("SELECT tfu.*,user_name FROM {$db_prefix}cvs_updates tfu LEFT JOIN {$db_prefix}users tu ON tfu.update_user=tu.user_id WHERE file_id='$file_id' ORDER BY update_datestamp DESC");
if (dbrows($sql)) {
	$i = 1;
	while ($data = dbarray($sql)) {
		echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>
<tr>
<td class='tbl2'><b>".$data['update_version'].$locale['cvs171'].$data['user_name']."</b></td>
<td align='right' class='tbl2'><a href='".FUSION_SELF."?updatestep=edit&amp;update_id=".$data['update_id']."&amp;file_id=$file_id'>".$locale['cvs172']."</a> -
<span class='small'><a href='".FUSION_SELF."?updatestep=delete&amp;update_id=".$data['update_id']."&amp;file_id=$file_id'>".$locale['cvs173']."</a></td>
</tr>
<tr>
<td valign='top' class='tbl1'>".showdate("longdate", $data['update_datestamp'])."<br>
".$locale['cvs153']." ".$data['update_lines_added']."<br>
".$locale['cvs154']." ".$data['update_lines_removed']."<br>
".$locale['cvs155']." ".$data['update_lines_altered']."</td>
<td valign='top' class='tbl1'>".parsecode(nl2br($data['update_phpcode']))."</td>
</tr>
</table>\n";
		if ($i != dbrows($sql)) tablebreak();
		$i++;
	}
} else {
	echo "<div style='text-align:center'><br>\n".$locale['cvs174']."<br><br>\n</div>\n";
}
closetable();

function parsecode($text) {
	$text = preg_replace('#\[b\](.*?)\[/b\]#si', '<b>\1</b>', $text);
	$text = preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $text);
	$text = preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $text);
	$ccount = substr_count($text, "[code]");
	for ($i=0;$i < $ccount;$i++) $text = preg_replace("#\[code\](.*?)\[/code\]#sie", "'<div class=\'quote\' style=\'margin:0px;width:expression(document.body.clientWidth-620);white-space:nowrap;overflow:auto\'><code style=\'white-space:nowrap\'><pre>'.str_replace('<br />','','\\1').'</pre></code></div>'", $text);
	return $text;
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>