<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

if (file_exists(INFUSIONS."cvs/locale/".$settings['locale'].".php")) {
	include INFUSIONS."cvs/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."cvs/locale/English.php";
}

// Infusion general information
$inf_title = $locale['cvs100'];
$inf_description = $locale['cvs101'];
$inf_version = "1.0";
$inf_developer = "Digitanium";
$inf_email = "digitanium@php-fusion.co.uk";
$inf_weburl = "http://www.php-fusion.co.uk";

$inf_folder = "cvs"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "cvs_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['cvs102']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "cvs.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 2; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "cvs (
cvs_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
cvs_filename VARCHAR(200) DEFAULT '' NOT NULL,
cvs_author VARCHAR(30) DEFAULT 'Digitanium' NOT NULL,
cvs_version VARCHAR(10) DEFAULT '1.00' NOT NULL,
cvs_filesize INT(10) UNSIGNED DEFAULT '0' NOT NULL,
cvs_lines INT(10) UNSIGNED DEFAULT '0' NOT NULL,
cvs_type VARCHAR(6) DEFAULT 'file' NOT NULL,
cvs_lastupdate VARCHAR(200) DEFAULT '' NOT NULL,
cvs_folder SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
cvs_datestamp INT(10) UNSIGNED DEFAULT '0' NOT NULL,
cvs_phpcode TEXT NOT NULL,
PRIMARY KEY (cvs_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "cvs_updates (
update_id smallint(5) UNSIGNED NOT NULL AUTO_INCREMENT,
file_id smallint(5) UNSIGNED NOT NULL DEFAULT '0',
update_phpcode TEXT NOT NULL,
update_version varchar(10) NOT NULL DEFAULT '1.01',
update_lines_added smallint(5) UNSIGNED NOT NULL DEFAULT '0',
update_lines_removed smallint(5) UNSIGNED NOT NULL DEFAULT '0',
update_lines_altered smallint(5) UNSIGNED NOT NULL DEFAULT '0',
update_datestamp int(10) UNSIGNED NOT NULL DEFAULT '0',
update_user smallint(5) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (update_id)
) TYPE=MyISAM;";

$inf_droptable_[1] = "cvs";
$inf_droptable_[2] = "cvs_updates";

$inf_deldbrow_[1] = "cvs";
$inf_deldbrow_[2] = "cvs_updates";
?>